Subject: Re: bug#71934: comp--spill-lap-function and closure (wad: bug#71934: 31.0.50; edebug--called-interactively-skip vs. new fun objects)

From: Alan Mackenzie <[email-masked]>
Date: Wed, 10 Jul 2024 10:29:49 +0000

Hello, Andrea.

On Tue, Jul 09, 2024 at 16:49:26 -0400, Andrea Corallo wrote:
> Andrea Corallo <[email-masked]> writes:

> > Alan Mackenzie <[email-masked]> writes:

> >> On Sat, Jul 06, 2024 at 03:48:50 -0400, Andrea Corallo wrote:
> >>> Alan Mackenzie <[email-masked]> writes:

[ .... ]

> > Thanks I see now, at least we never regressed over releases.

> > I think this functionaly passed under my radar at the time, otherwise I
> > would have asked for a test covering it, and BTW as a consequence Stefan
> > would have updated the implementation before upstreaming his patch :)

Yes.  ;-)

> > Anyway as
> > (defconst foo (lambda (baz) (car baz)))
> > (byte-compile foo)
> > works, I is nice to have it functional for native-comp as well.

> > Reintroducing it should not be too difficult, I can do it myself next
> > week if no-one does it before.

> Okay should be done with b9b9322a8e6 in master adding a test and
> updating 'native-compile' doc-string.

Thanks.  I haven't actually tried the fix, but it looks absolutely
routine, so there shouldn't be problems with it.

> Is there anything left to do for this bug?

I don't think so.

>   Andrea

-- 
Alan Mackenzie (Nuremberg, Germany).